/*
 **************************************************************************
 *  File: plugin.c                                         Part of Greyhawk
 *  Usage: plugin fonction
 *  Copyright  1998 - Greyhawk Adventures.
 **************************************************************************
 */

#include "conf.h"
#include "sysdep.h"

#include "structs.h"

#include "utils.h"
#include "comm.h"
#include "interpreter.h"
#include "handler.h"
#include "olc.h"
#include "sound.h"
#include "plugin.h"

/* extern variables */
extern struct room_data *world;
extern struct descriptor_data *descriptor_list;
extern struct char_data *character_list;


void display_graphic(char *graph, struct char_data *ch)
{
  if (ch && ch->desc && graph && (ch->desc->term_type == TERM_GREY)) {
    send_to_char(PLUGIN_JPEG_START, ch);
    send_to_char(graph, ch);
    send_to_char(PLUGIN_JPEG_END, ch);
  }
}
